Name:           ocaml-batteries
Version:        1.4.1
Release:        %mkrel 2
Summary:        A comprehensive standard library for OCaml
Group:          Development/Other
License:        LGPLv2 with linking exception
URL:            http://batteries.forge.ocamlcore.org/
Source0:        https://forge.ocamlcore.org/frs/download.php/684/batteries-%{version}.tar.gz
Requires:       ocaml
BuildRequires:  ocaml-camomile
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
Requires: ocaml-camomile

%description
OCaml Batteries included, or simply "Batteries", is a community-driven
effort to standardize on a consistent, documented, and comprehensive
development platform for the OCaml programming language.

Batteries is meant to serve the following purposes:
- define a standard set of libraries which may be expected on every
  compliant installation of OCaml;
- organize these libraries into a hierarchy of modules, with a single
  source of documentation;
- define a standard set of language extensions (based on CamlP4) which may
  be expected on every compliant installation of OCaml;
- provides a consistent API for otherwise independent libraries.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-camomile-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n batteries-%{version}

%build
make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $DESTDIR $DESTDIR/stublibs
make install
cp -R apidocs/ html

%files
%doc README.md LICENSE
%dir %{_libdir}/ocaml/batteries
%{_libdir}/ocaml/batteries/*.cmi
%{_libdir}/ocaml/batteries/*.cma
%{_libdir}/ocaml/batteries/*.cmo
%{_libdir}/ocaml/batteries/*.cmxs
%{_libdir}/ocaml/batteries/META
%{_libdir}/ocaml/estring/*.cmi
%{_libdir}/ocaml/estring/*.cmo
%{_libdir}/ocaml/estring/META

%files devel
%doc FAQ
%doc html/
%{_libdir}/ocaml/batteries/*.a
%{_libdir}/ocaml/batteries/*.cmxa
%{_libdir}/ocaml/batteries/*.cmx
%{_libdir}/ocaml/batteries/*.ml
%{_libdir}/ocaml/batteries/*.mli
%{_libdir}/ocaml/estring/*.mli


%changelog

* Sat Feb 18 2012 malo <malo> 1.4.1-2.mga2
+ Revision: 210161
- missing requires ocaml-camomile
- fix license

* Wed Jan 11 2012 blue_prawn <blue_prawn> 1.4.1-1.mga2
+ Revision: 195029
- BuildRequires: camlp4
- BuildRequires: ocaml-camomile
- imported package ocaml-batteries

